
import java.io.*;
import java.net.*;
import java.text.SimpleDateFormat;
import java.util.Date;

public class URLConnectionTest 
{
	public static void main(String[] args) throws MalformedURLException, IOException
	{
		URL url = new URL("https://naver.com");	//	뉴스 기사를 주소로 적어서 확인해보자.
		java.net.URLConnection con = url.openConnection(); 
		
		//	문서의 정보 확인
		System.out.println(con.toString());
		System.out.println("문서의 사이즈 : " +con.getContentLength());
		System.out.println("파일 타입 : " +con.getContentType());
		
		//	접속 날짜를 띄운다.
		Date today = new Date();	//	현재 시간
		SimpleDateFormat f = new SimpleDateFormat("yyyy년 MM월 dd일 E요일 hh시 mm분 ss초");
		System.out.println("오늘 날짜 : " +f.format(today));
		System.out.println("접속 날짜 : " +f.format(con.getDate()));	//	접속 날짜.
		
		//	내용을 출력
		InputStream is =  con.getInputStream();
		
		InputStreamReader isr = new InputStreamReader(is);
		BufferedReader br = new BufferedReader(isr);
		
		String buf = "";		
		
		//	한 줄씩 읽어 온다. (데이터가 비어있을 때까지 읽어온다.)
		while ((buf =br.readLine()) != null)
		{
			System.out.println(buf);
		}
		br.close();
		isr.close();
		is.close();
	}
}

